%define name 		cooledit
%define srcversion      3.17.1
%define version 	3.17.2
%define release 2mdk
%define group 		Editors
BuildRequires: XFree86-devel xpm-devel

Summary: 	Full featured multiple window programmer's text editor
Name: 		%{name}
Icon: 		cooledit.xpm
Version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		%{group}
Requires: 	python pythonlib
Source: 	http://download.sourceforge.net/cooledit/%{name}-%{srcversion}.tar.bz2
Source1: %{name}_48x48.xpm
Source2: %{name}.menu
Patch0: patch-3.17.1-3.17.2.bz2
Patch1: coolicon-config-sysconfdir.patch.bz2

BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://www.cooledit.org/

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro programm.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;


%prep
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT; 

%setup -q -n %{name}-%{srcversion}
%patch -p2
%patch1 -p1

%build
%configure
make


%install
%makeinstall
%find_lang %{name}

install -D -m644 pixmap/coolicon.config $RPM_BUILD_ROOT%{_sysconfdir}/coolicon.config

# Mandrake menu entries
install -D -m644 cooledit_16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/cooledit.xpm
install -D -m644 cooledit_32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/cooledit.xpm
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/cooledit.xpm
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_menudir}/cooledit

%post
/sbin/ldconfig
%{_libdir}/coolicon/modify-xinitrc
%update_menus

# FIXME undo 'modify-xinitrc' above in postun step
%postun
/sbin/ldconfig
%clean_menus

%clean

%files -f %{name}.lang
%defattr (-,root,root)
%doc ABOUT-NLS AUTHORS BUGS COPYING FAQ INSTALL INTERNATIONAL HINTS
%doc MAILING_LIST NEWS PROGRAMMING README TODO VERSION ChangeLog
%doc cooledit.lsm coolicon.lsm coolman.lsm cooledit.spec
%doc cooledit_16x16.xpm cooledit_32x32.xpm rxvt/README.rxvt
%config(noreplace) %{_sysconfdir}/coolicon.config
%{_libdir}/cooledit
%{_libdir}/coolicon/*.xpm
%{_libdir}/coolicon/modify-xinitrc
%{_libdir}/coolicon/e.data
%{_libdir}/lib*.so*
%{_bindir}/*
%{_iconsdir}/*
%{_mandir}/man1/*
%{_menudir}/%{name}


%changelog
* Tue Sep 26 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.17.2-2mdk
- Store coolicon.config in sysconfdir

* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.17.2-1mdk
- s|3.17.1|3.17.2|; 

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.17.1-4mdk
- removed Requires to Glide_V3-devel

* Tue Sep 05 2000 Florin Grad <florin@mandrakesoft.com> 3.17.1-3mdk
- fixing the menu entry and adding Requires Glide_V3-devel

* Tue Sep 05 2000 Florin Grad <florin@mandrakesoft.com> 3.17.1-2mdk
- adding some more macros and fixing the modify-xinitrc and adding noreplace

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.17.1-1mdk
- s|3.17.0|3.17.1|;

* Wed Aug 23 2000 Denis Havlik <denis@mandrakesoft.com> 3.17.0-2mdk
- add find_lang
- add mini and large icons

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.17.0-1mdk
- build a new and shiny version.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.17.0-1mdk
- build a new and shiny version.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.15.4-3mdk
- automatically added BuildRequires

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.15.4-2mdk
- macrosificaigtons
- rebuild for the BM

* Thu Jul 06 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.15.4-1mdk
- new version 3.15.4-1mdk
- some changes in spec

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.14.0-5mdk
- User makeinstal macros.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.14.0-4mdk
- use % configure.
- Clean up specs.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 3.14.0-3mdk
- Clean spec file
- Install icon in /usr/share/icon

* Thu Apr 20 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-2mdk
- Rebuild tarball with sane directory permissions (thanks fredl)

* Mon Apr 10 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-1mdk
- version 3.14.0
- menu entry
- BuildRoot update
- URL update
- Redo filelist to be based on prefix
- Correct bug which prevented proper CFLAGS from showing up
- .a library removed, unnecessary

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the homepage URL

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used and modify specfile from RH contribs
- added a new filelist
- bzip man pages
- clean specfile

